Bug 10697 - Update request: kernel-3.8.13.4-1.mga3
: Update request: kernel-3.8.13.4-1.mga3
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: Security
: 3
: All Linux
: Normal Severity: major
: ---
Assigned To: QA Team
: Sec team
:
: mga3-64-ok mga3-32-ok
: validated_update
:
:
  Show dependency treegraph
 
Reported: 2013-07-04 21:14 CEST by Thomas Backlund
Modified: 2013-07-09 19:59 CEST (History)
6 users (show)

See Also:
Source RPM: kernel-3.8.13.4-1.mga3
CVE:


Attachments

Description Thomas Backlund 2013-07-04 21:14:27 CEST
Advisory:

This kernel update provides the extended stable 3.8.13.4 kernel and fixes
the follwing security issues:

The pciback_enable_msi function in the PCI backend driver 
(drivers/xen/pciback/conf_space_capability_msi.c) in Xen for the Linux
kernel 2.6.18 and 3.8 allows guest OS users with PCI device access to
cause a denial of service via a large number of kernel log messages.
(CVE-2013-0231 / XSA-43)

ipv6: ip6_sk_dst_check() must not assume ipv6 dst
It's possible to use AF_INET6 sockets and to connect to an IPv4
destination. After this, socket dst cache is a pointer to a rtable,
not rt6_info. This bug can be exploited by local non-root users
to trigger various corruptions/crashes (CVE-2013-2232)

af_key: fix info leaks in notify messages
key_notify_sa_flush() and key_notify_policy_flush() miss to
initialize the sadb_msg_reserved member of the broadcasted message
and thereby leak 2 bytes of heap memory to listeners (CVE-2013-2234)

af_key: initialize satype in key_notify_policy_flush()
key_notify_policy_flush() miss to nitialize the sadb_msg_satype member
of the broadcasted message and thereby leak heap memory to listeners
(CVE-2013-2237)

Heap-based buffer overflow in the iscsi_add_notunderstood_response function
in drivers/target/iscsi/iscsi_target_parameters.c in the iSCSI target
subsystem in the Linux kernel through 3.9.4 allows remote attackers to
cause a denial of service (memory corruption and OOPS) or possibly execute
arbitrary code via a long key that is not properly handled during
construction of an error-response packet.
A reproduction case requires patching open-iscsi to send overly large
keys. Performing discovery in a loop will Oops the remote server.
(CVE-2013-2850)

Format string vulnerability in the b43_request_firmware function in
drivers/net/wireless/b43/main.c in the Broadcom B43 wireless driver in
the Linux kernel through 3.9.4 allows local users to gain privileges by
leveraging root access and including format string specifiers in an
fwpostfix modprobe parameter, leading to improper construction of an
error message. (CVE-2013-2852)

Other fixes:
- Fix up alx AR8161 breakage (mga #10079)
- bcma: add support for BCM43142 (mga#9378, mga#10611)
- net/tg3: Avoid delay during MMIO access
- re-add aufs support (mga#8314)
- enable support for more touchscreens
- iommu/vt-d: add quirk for broken interrupt remapping on 55XX chipsets
- rtlwifi: rtl8723ae: Fix typo in firmware names
- rtlwifi: rtl8192cu: Fix problem in connecting to WEP or WPA(1) networks
- md/raid10: fix two bugs affecting RAID10 reshape
- crypto: algboss - Hold ref count on larval
- perf: Disable monitoring on setuid processes for regular users
- netfilter: nf_conntrack_ipv6: Plug sk_buff leak in fragment handling
- enable X86_X2APIC, X86_REROUTE_FOR_BROKEN_BOOT_IRQS, FHANDLE
- disable COMPAT_VDSO (not needed since glibc-2.3.3)

For other fixes in the extended stable update, see the referenced shortlog


References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-0231
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2232
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2234
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2237
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2850
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2852
http://kernel.ubuntu.com/git?p=ubuntu/linux.git;h=refs/heads/linux-3.8.y;a=shortlog


Reproducible: 

Steps to Reproduce:
Comment 1 Thomas Backlund 2013-07-04 21:24:18 CEST
SRPMS:
kernel-3.8.13.4-1.mga3.src.rpm
kernel-userspace-headers-3.8.13.4-1.mga3.src.rpm
kmod-vboxadditions-4.2.12-14.mga3.src.rpm
kmod-virtualbox-4.2.12-14.mga3.src.rpm
kmod-xtables-addons-2.1-31.mga3.src.rpm

fglrx-12.104-3.mga3.nonfree.src.rpm
kmod-broadcom-wl-5.100.82.112-83.mga3.nonfree.src.rpm
kmod-fglrx-12.104-10.mga3.nonfree.src.rpm
kmod-nvidia173-173.14.37-16.mga3.nonfree.src.rpm
kmod-nvidia304-304.88-15.mga3.nonfree.src.rpm
kmod-nvidia-current-319.17-7.mga3.nonfree.src.rpm


i586:
cpupower-3.8.13.4-1.mga3.i586.rpm
cpupower-devel-3.8.13.4-1.mga3.i586.rpm
kernel-desktop-3.8.13.4-1.mga3-1-1.mga3.i586.rpm
kernel-desktop586-3.8.13.4-1.mga3-1-1.mga3.i586.rpm
kernel-desktop586-devel-3.8.13.4-1.mga3-1-1.mga3.i586.rpm
kernel-desktop586-devel-latest-3.8.13.4-1.mga3.i586.rpm
kernel-desktop586-latest-3.8.13.4-1.mga3.i586.rpm
kernel-desktop-devel-3.8.13.4-1.mga3-1-1.mga3.i586.rpm
kernel-desktop-devel-latest-3.8.13.4-1.mga3.i586.rpm
kernel-desktop-latest-3.8.13.4-1.mga3.i586.rpm
kernel-doc-3.8.13.4-1.mga3.noarch.rpm
kernel-server-3.8.13.4-1.mga3-1-1.mga3.i586.rpm
kernel-server-devel-3.8.13.4-1.mga3-1-1.mga3.i586.rpm
kernel-server-devel-latest-3.8.13.4-1.mga3.i586.rpm
kernel-server-latest-3.8.13.4-1.mga3.i586.rpm
kernel-source-3.8.13.4-1.mga3-1-1.mga3.noarch.rpm
kernel-source-latest-3.8.13.4-1.mga3.noarch.rpm
perf-3.8.13.4-1.mga3.i586.rpm
kernel-userspace-headers-3.8.13.4-1.mga3.i586.rpm
vboxadditions-kernel-3.8.13.4-desktop-1.mga3-4.2.12-14.mga3.i586.rpm
vboxadditions-kernel-3.8.13.4-desktop586-1.mga3-4.2.12-14.mga3.i586.rpm
vboxadditions-kernel-3.8.13.4-server-1.mga3-4.2.12-14.mga3.i586.rpm
vboxadditions-kernel-desktop586-latest-4.2.12-14.mga3.i586.rpm
vboxadditions-kernel-desktop-latest-4.2.12-14.mga3.i586.rpm
vboxadditions-kernel-server-latest-4.2.12-14.mga3.i586.rpm
virtualbox-kernel-3.8.13.4-desktop-1.mga3-4.2.12-14.mga3.i586.rpm
virtualbox-kernel-3.8.13.4-desktop586-1.mga3-4.2.12-14.mga3.i586.rpm
virtualbox-kernel-3.8.13.4-server-1.mga3-4.2.12-14.mga3.i586.rpm
virtualbox-kernel-desktop586-latest-4.2.12-14.mga3.i586.rpm
virtualbox-kernel-desktop-latest-4.2.12-14.mga3.i586.rpm
virtualbox-kernel-server-latest-4.2.12-14.mga3.i586.rpm
xtables-addons-kernel-3.8.13.4-desktop-1.mga3-2.1-31.mga3.i586.rpm
xtables-addons-kernel-3.8.13.4-desktop586-1.mga3-2.1-31.mga3.i586.rpm
xtables-addons-kernel-3.8.13.4-server-1.mga3-2.1-31.mga3.i586.rpm
xtables-addons-kernel-desktop586-latest-2.1-31.mga3.i586.rpm
xtables-addons-kernel-desktop-latest-2.1-31.mga3.i586.rpm
xtables-addons-kernel-server-latest-2.1-31.mga3.i586.rpm

broadcom-wl-kernel-3.8.13.4-desktop-1.mga3-5.100.82.112-83.mga3.nonfree.i586.rpm
broadcom-wl-kernel-3.8.13.4-desktop586-1.mga3-5.100.82.112-83.mga3.nonfree.i586.rpm
broadcom-wl-kernel-3.8.13.4-server-1.mga3-5.100.82.112-83.mga3.nonfree.i586.rpm
broadcom-wl-kernel-desktop586-latest-5.100.82.112-83.mga3.nonfree.i586.rpm
broadcom-wl-kernel-desktop-latest-5.100.82.112-83.mga3.nonfree.i586.rpm
broadcom-wl-kernel-server-latest-5.100.82.112-83.mga3.nonfree.i586.rpm
dkms-fglrx-12.104-3.mga3.nonfree.i586.rpm
fglrx-control-center-12.104-3.mga3.nonfree.i586.rpm
fglrx-devel-12.104-3.mga3.nonfree.i586.rpm
fglrx-kernel-3.8.13.4-desktop-1.mga3-12.104-10.mga3.nonfree.i586.rpm
fglrx-kernel-3.8.13.4-desktop586-1.mga3-12.104-10.mga3.nonfree.i586.rpm
fglrx-kernel-3.8.13.4-server-1.mga3-12.104-10.mga3.nonfree.i586.rpm
fglrx-kernel-desktop586-latest-12.104-10.mga3.nonfree.i586.rpm
fglrx-kernel-desktop-latest-12.104-10.mga3.nonfree.i586.rpm
fglrx-kernel-server-latest-12.104-10.mga3.nonfree.i586.rpm
fglrx-opencl-12.104-3.mga3.nonfree.i586.rpm
nvidia173-kernel-3.8.13.4-desktop-1.mga3-173.14.37-16.mga3.nonfree.i586.rpm
nvidia173-kernel-3.8.13.4-desktop586-1.mga3-173.14.37-16.mga3.nonfree.i586.rpm
nvidia173-kernel-3.8.13.4-server-1.mga3-173.14.37-16.mga3.nonfree.i586.rpm
nvidia173-kernel-desktop586-latest-173.14.37-16.mga3.nonfree.i586.rpm
nvidia173-kernel-desktop-latest-173.14.37-16.mga3.nonfree.i586.rpm
nvidia173-kernel-server-latest-173.14.37-16.mga3.nonfree.i586.rpm
nvidia304-kernel-3.8.13.4-desktop-1.mga3-304.88-15.mga3.nonfree.i586.rpm
nvidia304-kernel-3.8.13.4-desktop586-1.mga3-304.88-15.mga3.nonfree.i586.rpm
nvidia304-kernel-3.8.13.4-server-1.mga3-304.88-15.mga3.nonfree.i586.rpm
nvidia304-kernel-desktop586-latest-304.88-15.mga3.nonfree.i586.rpm
nvidia304-kernel-desktop-latest-304.88-15.mga3.nonfree.i586.rpm
nvidia304-kernel-server-latest-304.88-15.mga3.nonfree.i586.rpm
nvidia-current-kernel-3.8.13.4-desktop-1.mga3-319.17-7.mga3.nonfree.i586.rpm
nvidia-current-kernel-3.8.13.4-desktop586-1.mga3-319.17-7.mga3.nonfree.i586.rpm
nvidia-current-kernel-3.8.13.4-server-1.mga3-319.17-7.mga3.nonfree.i586.rpm
nvidia-current-kernel-desktop586-latest-319.17-7.mga3.nonfree.i586.rpm
nvidia-current-kernel-desktop-latest-319.17-7.mga3.nonfree.i586.rpm
nvidia-current-kernel-server-latest-319.17-7.mga3.nonfree.i586.rpm
x11-driver-video-fglrx-12.104-3.mga3.nonfree.i586.rpm


x86_64:
cpupower-3.8.13.4-1.mga3.x86_64.rpm
cpupower-devel-3.8.13.4-1.mga3.x86_64.rpm
kernel-desktop-3.8.13.4-1.mga3-1-1.mga3.x86_64.rpm
kernel-desktop-devel-3.8.13.4-1.mga3-1-1.mga3.x86_64.rpm
kernel-desktop-devel-latest-3.8.13.4-1.mga3.x86_64.rpm
kernel-desktop-latest-3.8.13.4-1.mga3.x86_64.rpm
kernel-doc-3.8.13.4-1.mga3.noarch.rpm
kernel-server-3.8.13.4-1.mga3-1-1.mga3.x86_64.rpm
kernel-server-devel-3.8.13.4-1.mga3-1-1.mga3.x86_64.rpm
kernel-server-devel-latest-3.8.13.4-1.mga3.x86_64.rpm
kernel-server-latest-3.8.13.4-1.mga3.x86_64.rpm
kernel-source-3.8.13.4-1.mga3-1-1.mga3.noarch.rpm
kernel-source-latest-3.8.13.4-1.mga3.noarch.rpm
perf-3.8.13.4-1.mga3.x86_64.rpm
kernel-userspace-headers-3.8.13.4-1.mga3.x86_64.rpm
vboxadditions-kernel-3.8.13.4-desktop-1.mga3-4.2.12-14.mga3.x86_64.rpm
vboxadditions-kernel-3.8.13.4-server-1.mga3-4.2.12-14.mga3.x86_64.rpm
vboxadditions-kernel-desktop-latest-4.2.12-14.mga3.x86_64.rpm
vboxadditions-kernel-server-latest-4.2.12-14.mga3.x86_64.rpm
virtualbox-kernel-3.8.13.4-desktop-1.mga3-4.2.12-14.mga3.x86_64.rpm
virtualbox-kernel-3.8.13.4-server-1.mga3-4.2.12-14.mga3.x86_64.rpm
virtualbox-kernel-desktop-latest-4.2.12-14.mga3.x86_64.rpm
virtualbox-kernel-server-latest-4.2.12-14.mga3.x86_64.rpm
xtables-addons-kernel-3.8.13.4-desktop-1.mga3-2.1-31.mga3.x86_64.rpm
xtables-addons-kernel-3.8.13.4-server-1.mga3-2.1-31.mga3.x86_64.rpm
xtables-addons-kernel-desktop-latest-2.1-31.mga3.x86_64.rpm
xtables-addons-kernel-server-latest-2.1-31.mga3.x86_64.rpm

broadcom-wl-kernel-3.8.13.4-desktop-1.mga3-5.100.82.112-83.mga3.nonfree.x86_64.rpm
broadcom-wl-kernel-3.8.13.4-server-1.mga3-5.100.82.112-83.mga3.nonfree.x86_64.rpm
broadcom-wl-kernel-desktop-latest-5.100.82.112-83.mga3.nonfree.x86_64.rpm
broadcom-wl-kernel-server-latest-5.100.82.112-83.mga3.nonfree.x86_64.rpm
dkms-fglrx-12.104-3.mga3.nonfree.x86_64.rpm
fglrx-control-center-12.104-3.mga3.nonfree.x86_64.rpm
fglrx-devel-12.104-3.mga3.nonfree.x86_64.rpm
fglrx-kernel-3.8.13.4-desktop-1.mga3-12.104-10.mga3.nonfree.x86_64.rpm
fglrx-kernel-3.8.13.4-server-1.mga3-12.104-10.mga3.nonfree.x86_64.rpm
fglrx-kernel-desktop-latest-12.104-10.mga3.nonfree.x86_64.rpm
fglrx-kernel-server-latest-12.104-10.mga3.nonfree.x86_64.rpm
fglrx-opencl-12.104-3.mga3.nonfree.x86_64.rpm
nvidia173-kernel-3.8.13.4-desktop-1.mga3-173.14.37-16.mga3.nonfree.x86_64.rpm
nvidia173-kernel-3.8.13.4-server-1.mga3-173.14.37-16.mga3.nonfree.x86_64.rpm
nvidia173-kernel-desktop-latest-173.14.37-16.mga3.nonfree.x86_64.rpm
nvidia173-kernel-server-latest-173.14.37-16.mga3.nonfree.x86_64.rpm
nvidia304-kernel-3.8.13.4-desktop-1.mga3-304.88-15.mga3.nonfree.x86_64.rpm
nvidia304-kernel-3.8.13.4-server-1.mga3-304.88-15.mga3.nonfree.x86_64.rpm
nvidia304-kernel-desktop-latest-304.88-15.mga3.nonfree.x86_64.rpm
nvidia304-kernel-server-latest-304.88-15.mga3.nonfree.x86_64.rpm
nvidia-current-kernel-3.8.13.4-desktop-1.mga3-319.17-7.mga3.nonfree.x86_64.rpm
nvidia-current-kernel-3.8.13.4-server-1.mga3-319.17-7.mga3.nonfree.x86_64.rpm
nvidia-current-kernel-desktop-latest-319.17-7.mga3.nonfree.x86_64.rpm
nvidia-current-kernel-server-latest-319.17-7.mga3.nonfree.x86_64.rpm
x11-driver-video-fglrx-12.104-3.mga3.nonfree.x86_64.rpm
Comment 2 Thomas Backlund 2013-07-05 10:16:10 CEST
Addendum to "other fixes" :

- conflict too old plymouth to make cleaner upgrades (mga #10128)
  (fixes the errata for online upgraders)
Comment 3 Bill Wilkinson 2013-07-05 14:55:58 CEST
Tested mga3-64.
DKMS modules build normally, boots fine.


Dual-core turion-64 CPU
Card:NVIDIA GeForce 6100 to GeForce 7950: NVIDIA Corporation|C51 [GeForce Go 6150] [DISPLAY_VGA] (rev: a2)
Comment 4 Bill Wilkinson 2013-07-05 16:38:26 CEST
Please note: both of my tests are on kernel-desktop.

mga3-32 tested
DKMS Modules build normally, boots fine

Card:NVIDIA GeForce 6100 to GeForce 7950: NVIDIA Corporation|NV44A [GeForce 6200] [DISPLAY_VGA] (vendor:10de device:0221 subv:196e subd:02f3) (rev: a1)                                                                                                                                 
Athlon 3000+
Comment 5 Bill Wilkinson 2013-07-05 18:11:59 CEST
kernel-server builds DKMS and boots mga3-64, same machine as comment 3
Comment 6 David GEIGER 2013-07-05 21:49:49 CEST
Testing complete mga3 64

cpupower-3.8.13.4-1.mga3.x86_64.rpm
kernel-desktop-3.8.13.4-1.mga3-1-1.mga3.x86_64.rpm
kernel-desktop-devel-3.8.13.4-1.mga3-1-1.mga3.x86_64.rpm
kernel-desktop-devel-latest-3.8.13.4-1.mga3.x86_64.rpm
kernel-desktop-latest-3.8.13.4-1.mga3.x86_64.rpm
kernel-doc-3.8.13.4-1.mga3.noarch.rpm
kernel-userspace-headers-3.8.13.4-1.mga3.x86_64.rpm
vboxadditions-kernel-3.8.13.4-desktop-1.mga3-4.2.12-14.mga3.x86_64.rpm
vboxadditions-kernel-desktop-latest-4.2.12-14.mga3.x86_64.rpm
virtualbox-kernel-3.8.13.4-desktop-1.mga3-4.2.12-14.mga3.x86_64.rpm
virtualbox-kernel-desktop-latest-4.2.12-14.mga3.x86_64.rpm
xtables-addons-kernel-3.8.13.4-desktop-1.mga3-2.1-31.mga3.x86_64.rpm
xtables-addons-kernel-desktop-latest-2.1-31.mga3.x86_64.rpm
Comment 7 David GEIGER 2013-07-05 21:51:56 CEST
Testing complete mga3 32

cpupower-3.8.13.4-1.mga3.i586.rpm
kernel-desktop586-3.8.13.4-1.mga3-1-1.mga3.i586.rpm
kernel-desktop586-devel-3.8.13.4-1.mga3-1-1.mga3.i586.rpm
kernel-desktop586-devel-latest-3.8.13.4-1.mga3.i586.rpm
kernel-desktop586-latest-3.8.13.4-1.mga3.i586.rpm
kernel-doc-3.8.13.4-1.mga3.noarch.rpm
kernel-userspace-headers-3.8.13.4-1.mga3.i586.rpm
vboxadditions-kernel-3.8.13.4-desktop586-1.mga3-4.2.12-14.mga3.i586.rpm
vboxadditions-kernel-desktop586-latest-4.2.12-14.mga3.i586.rpm
Comment 8 Lewis Smith 2013-07-06 08:31:34 CEST
MGA3-32
The desktop kernel
kernel-desktop586-3.8.13.4-1.mga3-1-1.mga3.i586.rpm
& cpupower
cpupower-3.8.13.4-1.mga3.i586.rpm
components updated and running OK on my Asus system with SiS integrated bits & pieces.
Comment 9 Sander Lepik 2013-07-06 13:10:50 CEST
3.8.13.4-desktop-1.mga3 on x86_64 with nvidia-current seems to work just fine.

CPU: Intel(R) Core(TM) i5 CPU       M 560
Wifi: Intel Corporation|Centrino Ultimate-N 6300
GPU: NVIDIA Corporation|GT218 [NVS 3100M]
Comment 10 Dave Hodgins 2013-07-06 21:42:21 CEST
http://svnweb.mageia.org/advisories/10697.adv?revision=156&view=markup
uploaded. Validating the update.

Would someone from the sysadmin team please push 10697.adv.
Comment 11 Thomas Backlund 2013-07-09 19:59:53 CEST
Update pushed:
http://advisories.mageia.org/MGASA-2013-0204.html

Note You need to log in before you can comment on or make changes to this bug.